> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kair.is/llms.txt
> Use this file to discover all available pages before exploring further.

# Get adminjobshirag



## OpenAPI

````yaml /openapi.json get /admin/jobs/hirag
openapi: 3.0.0
info:
  title: Kair Voice
  version: '1.0'
servers:
  - url: http://0.0.0.0:8000/api
security: []
tags:
  - name: Admin
  - name: ApiKey
  - name: Auth
  - name: Concerns
  - name: Device
  - name: Graph
  - name: Health
  - name: Job
  - name: Session
  - name: Workshop
  - name: Workspace
paths:
  /admin/jobs/hirag:
    get:
      tags:
        - Admin
      operationId: get-admin-jobs-hirag
      parameters:
        - name: session_id
          schema:
            type: string
            format: uuid
          in: query
          required: false
          deprecated: false
          explode: true
        - name: status
          schema:
            type: string
          in: query
          required: false
          deprecated: false
          explode: true
        - name: limit
          schema:
            type: integer
            format: uint64
          in: query
          required: false
          deprecated: false
          explode: true
        - name: offset
          schema:
            type: integer
            format: uint64
          in: query
          required: false
          deprecated: false
          explode: true
      responses:
        '200':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/AdminHiragJobListResponse'
        '400':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    AdminHiragJobListResponse:
      type: object
      title: AdminHiragJobListResponse
      required:
        - jobs
        - total
      properties:
        jobs:
          type: array
          items:
            $ref: '#/components/schemas/AdminHiragJobEntry'
        total:
          type: integer
          format: uint64
    ErrorResponse:
      type: object
      title: ErrorResponse
      required:
        - success
        - message
      properties:
        success:
          type: boolean
        message:
          type: string
    AdminHiragJobEntry:
      type: object
      title: AdminHiragJobEntry
      required:
        - id
        - session_id
        - status
        - error
        - created_at
      properties:
        id:
          type: string
        session_id:
          type: string
        session_name:
          type: string
        source_transcription_id:
          type: string
        source_summarisation_id:
          type: string
        status:
          type: string
        error:
          type: string
        current_layer:
          type: integer
          format: int32
        total_layers:
          type: integer
          format: int32
        created_at:
          type: string
        started_at:
          type: string
        completed_at:
          type: string
        wall_clock_secs:
          type: number
          format: double

````